{
  "custom": {},
  "params": {
    "equipmentPathIn": "",
    "equipmentPathOut": "",
    "timePeriodIn": "",
    "timePeriodOut": "",
    "titleIn": "",
    "titleOut": ""
  },
  "propConfig": {
    "params.equipmentPathIn": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.equipmentPathOut": {
      "binding": {
        "config": {
          "path": "/root/equipment path container/mesObjectSelector.props.selectedMESObject.equipmentPath"
        },
        "overlayOptOut": true,
        "type": "property"
      },
      "paramDirection": "output",
      "persistent": true
    },
    "params.timePeriodIn": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.timePeriodOut": {
      "binding": {
        "config": {
          "expression": "if({/root/time period container/time period.props.value}\u003d\u0027Specific Shift:\u0027, \u0027Shift/\u0027+{/root/time period container/specific shift.props.value}, {/root/time period container/time period.props.value})"
        },
        "type": "expr"
      },
      "paramDirection": "output",
      "persistent": true
    },
    "params.titleIn": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.titleOut": {
      "binding": {
        "config": {
          "path": "/root/title container/title.props.text"
        },
        "type": "property"
      },
      "paramDirection": "output",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 466,
      "width": 670
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "header"
        },
        "position": {
          "basis": "27px",
          "shrink": 0
        },
        "props": {
          "params": {
            "icon": "settings",
            "icon_hover": "auto",
            "text": "Settings"
          },
          "path": "Page/Embedded/Title",
          "style": {
            "marginBottom": "10px"
          }
        },
        "type": "ia.display.view"
      },
      {
        "children": [
          {
            "custom": {
              "linePath": "New Enterprise\\Site 1\\Area 1\\Packaging Line 1"
            },
            "meta": {
              "name": "mesObjectSelector"
            },
            "position": {
              "grow": 1
            },
            "propConfig": {
              "props.selectedMESObject.equipmentPath": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPathIn"
                  },
                  "enabled": false,
                  "type": "property"
                }
              },
              "props.selectedMESObject.mesObjectUUID": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPathIn"
                  },
                  "transforms": [
                    {
                      "code": "\tif value:\n\t\treturn str(system.mes.getMESObjectLinkByEquipmentPath(value).getMESObject().getUUID())\n\treturn \u0027\u0027",
                      "type": "script"
                    }
                  ],
                  "type": "property"
                }
              }
            },
            "props": {
              "displayText": "Select Line/Equipment",
              "includeMESLineCellObjects": true,
              "includeMESLineObjects": true,
              "inputDropDownStyle": {
                "fontFamily": "Roboto",
                "fontSize": 15
              },
              "inputStyle": {
                "fontFamily": "Roboto",
                "fontSize": 15
              },
              "selectedMESObject": {
                "childCount": -1
              },
              "showEquipmentPath": true
            },
            "type": "mes.production.mesObjectSelector"
          }
        ],
        "meta": {
          "name": "equipment path container"
        },
        "props": {
          "direction": "column",
          "style": {
            "marginBottom": "10px",
            "marginLeft": "20px",
            "marginRight": "20px"
          }
        },
        "type": "ia.container.flex"
      },
      {
        "children": [
          {
            "meta": {
              "name": "time period"
            },
            "position": {
              "grow": 1
            },
            "propConfig": {
              "props.value": {
                "binding": {
                  "config": {
                    "expression": "if(indexOf({view.params.timePeriodIn},\u0027Shift/\u0027)\u003d0, \u0027Specific Shift:\u0027, {view.params.timePeriodIn})"
                  },
                  "type": "expr"
                },
                "persistent": true
              }
            },
            "props": {
              "options": [
                {
                  "label": "Current Shift",
                  "value": "Current Shift"
                },
                {
                  "label": "Previous Shift",
                  "value": "Previous Shift"
                },
                {
                  "label": "Start of Run",
                  "value": "Start of Run"
                },
                {
                  "label": "Current Production Day",
                  "value": "Current Production Day"
                },
                {
                  "label": "Calendar Day",
                  "value": "Calendar Day"
                },
                {
                  "label": "Top of Hour",
                  "value": "Top of Hour"
                },
                {
                  "label": "Specific Shift:",
                  "value": "Specific Shift:"
                }
              ],
              "placeholder": {
                "text": "Select Time Period"
              },
              "style": {
                "fontFamily": "Roboto",
                "fontSize": 14
              }
            },
            "type": "ia.input.dropdown"
          },
          {
            "meta": {
              "name": "specific shift"
            },
            "position": {
              "basis": "36px"
            },
            "propConfig": {
              "position.display": {
                "binding": {
                  "config": {
                    "expression": "{../time period.props.value} \u003d \u0027Specific Shift:\u0027"
                  },
                  "type": "expr"
                }
              },
              "props.options": {
                "binding": {
                  "config": {
                    "expression": "1"
                  },
                  "transforms": [
                    {
                      "code": "\tshifts \u003d shared.mes.schedule.get_shifts()\n\treturn [{\u0027label\u0027:shift[\u0027Name\u0027],\u0027value\u0027:shift[\u0027Name\u0027]} for shift in shifts]",
                      "type": "script"
                    }
                  ],
                  "type": "expr"
                }
              },
              "props.value": {
                "binding": {
                  "config": {
                    "path": "view.params.timePeriodIn"
                  },
                  "transforms": [
                    {
                      "code": "\tif value and value.startswith(\"Shift/\"):\n\t\treturn value[6:]\n\telse:\n\t\treturn \u0027\u0027",
                      "type": "script"
                    }
                  ],
                  "type": "property"
                },
                "persistent": true
              }
            },
            "props": {
              "placeholder": {
                "text": "Select Shift"
              },
              "style": {
                "marginTop": "10px"
              }
            },
            "type": "ia.input.dropdown"
          }
        ],
        "meta": {
          "name": "time period container"
        },
        "props": {
          "direction": "column",
          "style": {
            "marginBottom": "10px",
            "marginLeft": "20px",
            "marginRight": "20px",
            "marginTop": "10px"
          }
        },
        "type": "ia.container.flex"
      },
      {
        "children": [
          {
            "meta": {
              "name": "title"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.params.titleIn"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "placeholder": "Title"
            },
            "type": "ia.input.text-field"
          }
        ],
        "meta": {
          "name": "title container"
        },
        "props": {
          "direction": "column",
          "style": {
            "marginBottom": "10px",
            "marginLeft": "20px",
            "marginRight": "20px",
            "marginTop": "10px"
          }
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}